drop table addresses;
drop table salary;
drop table employees;
drop table teachers;

create table teachers (
	t_id integer,
	designation varchar(6) NOT NULL,
	t_name varchar(10) NOT NULL,
	joining_date date,
	date_of_birth date,
	PRIMARY KEY(t_id)
);
create table employees (
	e_id integer,
	designation varchar(6) NOT NULL,
	e_name varchar(10) NOT NULL,
	joining_date date,
	date_of_birth date,
	PRIMARY KEY(e_id)
);
create table addresses (
	t_id integer,
	e_id integer,
	present_address varchar(20),
	permanent_address varchar(20),
	phone_no number(11),
	email varchar(20),
	foreign key(t_id) references teachers(t_id) on delete cascade,
	foreign key(e_id) references employees(e_id) on delete cascade
);
create table salary (
	t_id integer,
	e_id integer,
	basic_salary number(6),
	TADA_bill number(6),
	total_salary number(6),
	foreign key(t_id) references teachers(t_id) on delete cascade,
	foreign key(e_id) references employees(e_id) on delete cascade
);
desc teachers;
desc employees;
desc addresses;
desc salary;

INSERT INTO teachers(t_id, designation, t_name,joining_date, date_of_birth) VALUES(102 , 'prof.', 'MMA', '11-JAN-1990','1-JAN-1930');

INSERT INTO employees(e_id, designation, e_name,joining_date, date_of_birth) VALUES(202 , 'L.A.', 'DMA', '11-JAN-1998','1-JAN-1939');

INSERT INTO addresses(t_id, e_id, present_address, permanent_address, phone_no, email) VALUES(102, 202 , 'KUET, Khulna', 'Mirpur, Dhaka', 01900000000,'email@hotmail.com');

INSERT INTO salary(t_id, e_id, basic_salary, TADA_bill) VALUES(102, 202 , 30000, 5000);

select * from teachers;
select * from employees;
select * from addresses;
select * from salary;