drop table hospital;
drop table donor;
drop table patient;

create table patient
(
p_id number(10) not null,
p_name varchar2(10),
p_blood_group varchar2(10),
p_address varchar2(10),
h_name varchar2(10),
p_phone_no varchar2(20),
primary key(p_id)
);

create table donor
(
d_id number(10) not null,
d_name varchar2(10),
d_blood_group varchar2(10),
d_address varchar2(10),
d_phone_no varchar2(20),
primary key(d_id)
);

create table hospital
(
h_name varchar2(10),
blood_group varchar2(10),
amount_of_blood number(10),
p_id number(10),
d_id number(10),
foreign key(p_id) references patient on delete cascade,
foreign key(d_id) references donor on delete cascade
);

describe patient;
describe donor;
describe hospital;

insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(1,'a','a+','dhaka','01717234590');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(2,'b','o+','khulna','01715234590');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(3,'c','a-','rajshahi','01917234599');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(4,'a','b+','ctg','01517294598');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(5,'f','o+','sylet','01817288590');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(6,'a','a+','dhaka','01727299590');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(7,'a','a+','dhaka','01717234590');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(8,'c','o+','khulna','01756234890');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(9,'c','a-','rajshahi','01927074590');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(10,'k','b+','pabna','01678235990');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(11,'f','o+','sylet','01617234534');
insert into patient(p_id,p_name,p_blood_group,p_address,p_phone_no)values(12,'k','a+','jessore','01817237599');


insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(1,'a','o+','dhaka','01817239590');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(2,'b','o+','comilla','01915764590');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(3,'b','a+','dhaka','01917234788');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(4,'c','a-','jessore','01817297658');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(5,'d','o-','gopalgong','01717288590');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(6,'d','a+','ctg','01527209590');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(7,'a','o+','dhaka','01856234890');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(8,'k','o+','comilla','01727079599');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(9,'k','a+','dhaka','01927074899');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(10,'c','a-','jessore','01678235995');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(11,'f','o-','gopalgong','01677234534');
insert into donor(d_id,d_name,d_blood_group,d_address,d_phone_no)values(12,'g','a+','ctg','01817237590');


insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('p','o+',100,1,1);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('q','o+',120,2,1);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('d','a+',110,5,3);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('g','a-',140,4,6);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('d','a+',170,2,2);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('l','b+',200,3,4);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('p','o+',100,1,1);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('q','o+',120,2,1);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('d','a+',110,5,3);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('g','a-',140,4,6);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('d','a+',170,2,2);
insert into hospital(h_name,blood_group,amount_of_blood,p_id,d_id) values ('l','b+',200,3,4);


select *from patient;
select *from donor;
select *from hospital;

