drop table trip_details;
drop table ticket_info;
drop table credit_card_details;
drop table trip;
drop table passenger_profile;

create table trip(
	trip_id number,
	trip_name varchar(20),
	from_location varchar(20),
	to_location varchar(20),
	departure_time varchar(20),
	arrival_time varchar(20),
	duration varchar(20),
	total_seats number,
	primary key(trip_id)
);

create table trip_details(
	trip_id number,
	trip_departure_date date,
	price number,
	available_seats number,
	primary key(trip_departure_date),
	FOREIGN KEY(trip_id) references trip(trip_id) on delete cascade
);

create table passenger_profile(
	profile_id number,
	password varchar(20),
	first_name varchar(20),
	last_name varchar(20),
	address varchar(50),
	tel_no number,
	emal_id varchar(20),
	primary key(profile_id)	
);

create table ticket_info(
	ticket_id number,
	profile_id number,
	trip_id number,
	trip_departure_date date,
	status varchar(20),
	primary key(ticket_id),
	FOREIGN KEY(profile_id) references passenger_profile(profile_id) on delete cascade		
);

create table credit_card_details(
	profile_id number,
	card_number number,
	card_type varchar(10),
	expiration_month varchar(10),
	expiration_year varchar(4),
	FOREIGN KEY(profile_id) references passenger_profile(profile_id) on delete cascade					
);