drop table transaction_table;
drop table net_profit;
drop table customer_info;
drop table product_info;

create table customer_info(
	c_id number(5),
	c_name varchar(15),	
	c_address varchar(25),
	primary key(c_id)
);

create table product_info(
	p_id number(5),
	P_name varchar(15),
	quantity number(5),
	price number(5),
	unit_profit number(5),
	primary key(P_id)
);

create table net_profit(
	total_stock number(10),
	sold_stock number(10),
	net_profit number(10)
);

create table transaction_table(
	c_id number(5),
	p_id number(5),
	quantity number(5),
	total_stock number(5),
	transaction_date date,
	foreign key (c_id) references customer_info(c_id),
	foreign key (p_id) references product_info(p_id)
);

commit;

describe customer_info;
describe product_info;
describe net_profit;
describe transaction_table;

insert into customer_info values(
	1001,
	'Tarique Latif',
	'Mirpur, Dhaka'
);

insert into product_info values(
	5001,
	'Pen',
	100,
	5,
	1
);

insert into net_profit values(
	150000,
	20000,
	2000
);

insert into transaction_table values(
	1001,
	5001,
	2,
	10,
	'18-Aug-14'
);

select * from customer_info;
select * from product_info;
select * from net_profit;
select * from transaction_table;