create table food(
  food_type varchar(20),
  food_code number(10) not null,
  food_name varchar(30),
  price integer,
  primary key(food_code)
);

create table home_delivery(
  customer_id number(5) not null,
  name varchar(20),
  address varchar(40),
  contact_no number(15),
  order_date date,
  delivery_date date,
  payment_type varchar(20),
  paid_amount integer,
  primary key(customer_id)
);

create table ordered_food(
 customer_id number(5),
 food_code number(10),
 no_of_food integer,
 foreign key(customer_id) references home_delivery,
 foreign key(food_code) references food
);

create table online_payment(
 customer_id number(5),
 card_type varchar(20),
 card_no number(20),
 foreign key(customer_id) references home_delivery
);

insert into food values('fast food',1001,'Chicken Burger',100);
insert into food values('fast food',1002,'Beef Burger',120);
insert into food values('fast food',2001,'Chesse Pizza',200);

insert into home_delivery values(101,'Rahim','Khalishpur,Khulna',01712977981,'20-Aug-14','22-Aug-14','Cash',400);
insert into home_delivery values(102,'Karim','Khalishpur,Khulna',01712977981,'20-Aug-14','21-Aug-14','Online',1000);
insert into home_delivery values(103,'Kamal','Khalishpur,Khulna',01712977981,'20-Aug-14','23-Aug-14','Cash',120);

insert into ordered_food values(101,1001,2);
insert into ordered_food values(101,2001,1);
insert into ordered_food values(102,1001,10);
insert into ordered_food values(101,1002,1);

insert into online_payment values(102,'Credit',0102034560);