drop table virtual_office;
drop table employee_information;
drop table company_information;
drop table job_description;

create table job_description(
job_id number(5),
job_duration number(5),
job_cost number(5),
job_name varchar(10),
primary key (job_id)
);

create table employee_information(
e_id number(5),
e_name varchar(10),
e_email varchar(50),
e_address varchar(20),
e_sector varchar(10),
e_salary number(10),
primary key (e_id)
);
create table company_information(
c_id number(5),
c_email varchar(30),
c_discription varchar(30),
c_contact varchar(30),
primary key (c_id)
);

create table virtual_office(
e_id number,
job_id number,
c_id number,
order_date date,
submission date,
total_cost number(20),
foreign key (e_id)  REFERENCES employee_information (e_id),
foreign key (job_id)  REFERENCES job_description (job_id),
foreign key (c_id)  REFERENCES company_information (c_id)
);
commit;

describe job_description;
describe employee_information;
describe company_information;
describe virtual_office;

insert into employee_information values(
	1,
	'ALAMIN',
	'alamnkuetcse@gmail.com',
	'Rajshahi',
	'PHP',
	50000
);
insert into employee_information values(
	2,
	'Rubel',
	'rubelkuetcse@gmail.com',
	'Rajshahi',
	'java',
	70000
);
insert into employee_information values(
	3,
	'golap',
	'golapkuetcse@gmail.com',
	'Rajshahi',
	'asp',
	100000
);
insert into employee_information values(
	4,
	'MIlOn',
	'milonkuetcse@gmail.com',
	'Rajshahi',
	'C++',
	80000
);
insert into employee_information values(
	5,
	'Robiul',
	'ribiulkuetcse@gmail.com',
	'dinajpur',
	'php',
	90000
);
insert into employee_information values(
	6,
	'Rafiul',
	'rafikuetcse@gmail.com',
	'khulna',
	'c',
	50000
);

insert into job_description values(
1,
5,
2000,
'JAVA'
);
insert into job_description values(
2,
10,
1000,
'c++'
);
insert into job_description values(
3,
15,
25000,
'php'
);
insert into job_description values(
4,
20,
4000,
'asp'
);
insert into job_description values(
5,
25,
1000,
'php'
);
insert into job_description values(
6,
30,
5000,
'JAVA'
);


insert into company_information values(
1,
'foodcompany@gmail.com',
'food company',
'01740257676'
);
insert into company_information values(
2,
'Furniturecompany@gmail.com',
'furniturecompany',
'01724669613'
);
insert into company_information values(
3,
'cablesilpo@gmail.com',
'cablecompany',
'01724257676'
);
insert into company_information values(
4,
'itsource@gmail.com',
'ITcompany',
'0174034566'
);
insert into company_information values(
5,
'Softwarecompany@gmail.com',
'softwarecompany',
'01740254676'
);
insert into company_information values(
6,
'mobliecompany@gmail.com',
'MObilecompany',
'01740455676'
);

insert into virtual_office values(
6,
3,
2,
'16-aug-14',
'20-dec-14',
25000
);

insert into virtual_office values(
5,
3,
1,
'12-aug-14',
'20-dec-14',
25000
);

insert into virtual_office values(
3,
3,
3,
'20-aug-14',
'30-dec-14',
25000
);

insert into virtual_office values(
2,
6,
6,
'20-aug-14',
'30-dec-14',
5000
);

insert into virtual_office values(
2,
6,
6,
'20-aug-14',
'30-dec-14',
5000
);

insert into virtual_office values(
5,
4,
5,
'20-aug-14',
'30-dec-14',
1000
);

select * from job_description;

select employee_information.e_id as emp_id,
	employee_information.e_name as emp_name,
	employee_information.e_sector as emp_sector,
	employee_information.e_salary as emp_salary
	from employee_information;

select c_id, c_contact from company_information;
select * from virtual_office;

select sum(total_cost) from virtual_office;
select max(total_cost) from virtual_office;
select min(total_cost) from virtual_office;
select avg(total_cost) from virtual_office;
select count(total_cost) from virtual_office;

drop view temp;
create view temp as select e_id, order_date, submission, total_cost 
	from virtual_office where e_id=5;

select ei.e_name, ei.e_id, t.order_date, t.submission, t.total_cost
	from employee_information ei, temp t where t.e_id=ei.e_id;	