drop table time_schedule;
drop table ticket_fare;
drop table station;
drop table train;
create table train(
	tr_no number(5) not null,
	tr_name varchar (25) not null,
	primary key(tr_no)
	);
create table station(
	st_no number(3) not null,
	station_name varchar (50) ,
	primary key(st_no)
);
create table time_schedule(
	serial_no int not null,
	tr_no number(3), 
	departure_time varchar(10),
	st_no_from number (3),
	st_no_to number (3),
	arrival_time varchar(10),
	primary key (serial_no),
	foreign key (tr_no) references train(tr_no) on delete cascade,
	foreign key (st_no_from) references station(st_no) on delete cascade,
	foreign key (st_no_to) references station(st_no) on delete cascade
);
create table ticket_fare(
	serial_no int not null,
	st_no_f number(3),
	st_no_t number(3),
	ac number(4),
	non_ac number(4),
	primary key (serial_no),
	foreign key (st_no_f) references station(st_no) on delete cascade,
	foreign key (st_no_t) references station(st_no) on delete cascade
);

describe train;
describe time_schedule;
describe ticket_fare;
describe station;
insert into train (tr_no,tr_name) values (741,'chitra');
insert into train (tr_no,tr_name) values (726,'shundorban');
select * from train;
insert into station (st_no,station_name) values (1,'Tangail');
insert into station (st_no,station_name) values (2,'Dhaka');
select * from station;
insert into time_schedule (serial_no,tr_no,departure_time,st_no_from,st_no_to,arrival_time) values (1,741,'7.30',1,2,'9.30');
insert into time_schedule (serial_no,tr_no,departure_time,st_no_from,st_no_to,arrival_time) values (2,726,'11.30',2,1,'3.30');
select * from time_schedule;
insert into ticket_fare (serial_no,st_no_f,st_no_t,ac,non_ac) values (1,1,2,150,60);
insert into ticket_fare (serial_no,st_no_f,st_no_t,ac,non_ac) values (2,2,1,15,6);
select * from ticket_fare;
