drop table description;
drop table projects;
drop table employee;
drop table customer;


create table employee(
	e_code integer not null,
	e_name varchar(20),
	designation varchar(20),
	sex varchar(20),
	salary integer,
	joining_date date,
   primary key(e_code)
);

create table customer(
	c_code integer not null,
	c_name varchar(20),
	occupation varchar(30),
	phone number(11),
   primary key(c_code)
);

create table projects(
	p_code integer,
	p_name varchar(20),
	address varchar(20),
	budget integer,
	supervisor integer,
	customer integer,	
   primary key(p_code),
   foreign key(supervisor) references employee(e_code) on delete cascade,
   foreign key(customer) references customer(c_code) on delete cascade
);


create table description(
	s_no integer,
	e_code integer,
	c_code integer,
	pre_address varchar(40),
	per_address varchar(40),
	date_of_birth date,
	email varchar(20),
   primary key(s_no),
   foreign key(e_code) references employee on delete cascade,
   foreign key(c_code) references customer on delete cascade
);
  

insert into employee values(1012,'Rahim','asst.engr','male',25000,'18-jan-2012');
select * from employee;